<?php

require_once 'Anomalies.class.inc';
require_once dirname($_SERVER['SCRIPT_FILENAME']) . '/class/vitis_lib/Connection.class.inc';

/**
 * \file Anomalie.class.inc
 * \class Anomalie
 *
 * \author Ludivine Premont <ludivine.premont@veremes.com>.
 *
 *   \brief This file contains the Anomalie php class
 *
 * This class defines operation for one Anomalie
 *
 */
class Anomalie extends Vitis {

  public $oError;

  /**
   * construct
   * @param type $aPath url of the request
   * @param type $aValues parameters of the request
   * @param type $properties properties
   * @param type $bShortcut false to reinit variables
   * @param type $oConnection connection object
   */
  function __construct($aPath, $aValues, $properties, $bShortcut = false, $oConnection = false) {
    parent::__construct($aPath, $aValues, $properties, $bShortcut, $oConnection);
    $this->aSelectedFields = Array('anomalies_id', 'status_id', 'status_name', 'status_color', 'theme_id', 'theme_name', 'theme_short_name', 'title', 'description', 'files', 'contact', 'user_id', 'login', 'user_name', 'email', 'anomalies_date', 'last_update_date', 'closing_date', 'map_id', 'admin_comment', 'geom');
  }

  /**
   * @SWG\Get(path="/anomalies/{anomalies_id}",
   *   tags={"Anomalies"},
   *   summary="Get Anomalie",
   *   description="Request to get Anomalie by id",
   *   operationId="GET",
   *   produces={"application/xml", "application/json"},
   *   @SWG\Parameter(
   *     name="token",
   *     in="query",
   *     description="user token",
   *     required=true,
   *     type="string"
   *   ),
   * @SWG\Parameter(
   *     name="anomalies_id",
   *     in="path",
   *     description="anomalie id",
   *     required=true,
   *     type="integer",
   *   format="int32"
   *   ),
   * @SWG\Parameter(
   *     name="attributs",
   *     in="query",
   *     description="list of attributs",
   *     required=false,
   *     type="string"
   *   ),
   *   @SWG\Response(
   *         response=200,
   *         description="Poprerties Response",
   *         @SWG\Schema(ref="#/definitions/anomalie")
   *     )
   *  )
   */

  /**
   * get informations about mode
   */
  function GET() {
    require dirname($_SERVER['SCRIPT_FILENAME']) . "/ws/vitis/" . $this->sRessourcesFile;
    $this->aFields = $this->getFields($this->aProperties['schema_anomalies'], "v_anomalies", "anomalies_id", 'anomalies', 'anomalies');
  }
}

?>