<?php

require_once 'Anomalies.class.inc';
require_once dirname($_SERVER['SCRIPT_FILENAME']) . '/class/vitis_lib/Connection.class.inc';

/**
 * \file Status.class.inc
 * \class Status
 *
 * \author Ludivine Premont <ludivine.premont@veremes.com>.
 *
 *   \brief This file contains the Status php class
 *
 * This class defines operation for one Status
 *
 */
class Status extends Vitis {

  public $oError;

  /**
   * construct
   * @param type $aPath url of the request
   * @param type $aValues parameters of the request
   * @param type $properties properties
   * @param type $bShortcut false to reinit variables
   * @param type $oConnection connection object
   */
  function __construct($aPath, $aValues, $properties, $bShortcut = false, $oConnection = false) {
    parent::__construct($aPath, $aValues, $properties, $bShortcut, $oConnection);
    $this->aSelectedFields = Array('status_id', 'name', 'description', 'color');
  }

  /**
   * @SWG\Get(path="/status/{status_id}",
   *   tags={"Status"},
   *   summary="Get Status",
   *   description="Request to get Status by id",
   *   operationId="GET",
   *   produces={"application/xml", "application/json"},
   *   @SWG\Parameter(
   *     name="token",
   *     in="query",
   *     description="user token",
   *     required=true,
   *     type="string"
   *   ),
   * @SWG\Parameter(
   *     name="status_id",
   *     in="path",
   *     description="status id",
   *     required=true,
   *     type="integer",
   *   format="int32"
   *   ),
   * @SWG\Parameter(
   *     name="attributs",
   *     in="query",
   *     description="list of attributs",
   *     required=false,
   *     type="string"
   *   ),
   *   @SWG\Response(
   *         response=200,
   *         description="Poprerties Response",
   *         @SWG\Schema(ref="#/definitions/status")
   *     )
   *  )
   */

  /**
   * get informations about mode
   */
  function GET() {
    require dirname($_SERVER['SCRIPT_FILENAME']) . "/ws/vitis/" . $this->sRessourcesFile;
    $this->aFields = $this->getFields($this->aProperties['schema_anomalies'], "rt_anomalies_status", "status_id");
  }
}

?>